---
title: Update a Branch
description: This endpoint updates a branch using its numeric ID.
url: https://storyblok.com/docs/api/management/pipelines/update-a-branch
---

# Update a Branch

PUT

```html
https://mapi.storyblok.com/v1/spaces/:space_id/branches/:branch_id
```

This endpoint updates a branch using its numeric ID.

## Path parameters

-   `:space_id` (required) (number)
    
    Numeric ID of a space
    
-   `:branch_id` (required) (number)
    
    Numeric ID of the branch
    

## Request body properties

-   `branch` (The Branch Object)
    
    A [branch object](/docs/api/management/pipelines/the-branch-object)
    

## Examples

-   cURL
    
    ```shellscript
    curl "https://mapi.storyblok.com/v1/spaces/288868932106293/branches/14" \
      -X PUT \
      -H "Authorization: YOUR_OAUTH_TOKEN" \
      -H "Content-Type: application/json" \
      -d "{\"branch\":{\"name\":\"Branche 123\",\"position\":7,\"source_id\":12345,\"url\":\"https://new_url.com/\"}}"
    ```
    
-   JS
    
    ```javascript
    // storyblok-js-client@>=7, node@>=18
    import Storyblok from "storyblok-js-client";
    
    const storyblok = new Storyblok({
      oauthToken: "YOUR_PERSONAL_ACCESS_TOKEN",
    });
    
    try {
      const response = await storyblok.put('spaces/288868932106293/branches/14', {
        "branch": {
          "name": "Branche 123",
          "position": 7,
          "source_id": 12345,
          "url": "https://new_url.com/"
        }
      })
      console.log({ response })
    } catch (error) {
      console.log(error)
    }
    ```
    
-   PHP
    
    ```php
    $client = new \Storyblok\ManagementClient('YOUR_OAUTH_TOKEN');
    
    $payload = ["branch" => ["name" => "Branche 123","position" => 7,"source_id" => 12345,"url" => "https => //new_url.com/"]];
    
    $client->put('spaces/288868932106293/branches/14', $payload)->getBody();
    ```
    
-   Java
    
    ```java
    HttpResponse<String> response = Unirest.put("https://mapi.storyblok.com/v1/spaces/288868932106293/branches/14")
      .header("Content-Type", "application/json")
      .header("Authorization", "YOUR_OAUTH_TOKEN")
      .body({"branch":{"name":"Branche 123","position":7,"source_id":12345,"url":"https://new_url.com/"}})
      .asString();
    ```
    
-   C#
    
    ```csharp
    var client = new RestClient("https://mapi.storyblok.com/v1/spaces/288868932106293/branches/14");
    var request = new RestRequest(Method.PUT);
    
    request.AddHeader("Content-Type", "application/json");
    request.AddHeader("Authorization", "YOUR_OAUTH_TOKEN");
    request.AddParameter("application/json", "{\"branch\":{\"name\":\"Branche 123\",\"position\":7,\"source_id\":12345,\"url\":\"https://new_url.com/\"}}", ParameterType.RequestBody);
    IRestResponse response = client.Execute(request);
    ```
    
-   Python
    
    ```python
    import requests
    
    url = "https://mapi.storyblok.com/v1/spaces/288868932106293/branches/14"
    
    querystring = {}
    
    payload = {"branch":{"name":"Branche 123","position":7,"source_id":12345,"url":"https://new_url.com/"}}
    headers = {
      'Content-Type': "application/json",
      'Authorization': "YOUR_OAUTH_TOKEN"
    }
    
    response = requests.request("PUT", url, data=payload, headers=headers, params=querystring)
    
    print(response.text)
    ```
    
-   Ruby
    
    ```ruby
    require 'storyblok'
    client = Storyblok::Client.new(oauth_token: 'YOUR_OAUTH_TOKEN')
    
    payload = {"branch" => {"name" => "Branche 123","position" => 7,"source_id" => 12345,"url" => "https => //new_url.com/"}}
    
    client.put('spaces/288868932106293/branches/14', payload)
    ```
    
-   Swift
    
    ```swift
    let storyblok = URLSession(storyblok: .mapi(accessToken: .oauth("YOUR_OAUTH_TOKEN")))
    var request = URLRequest(storyblok: storyblok, path: "spaces/288868932106293/branches/14")
    request.httpMethod = "PUT"
    request.httpBody = try JSONSerialization.data(withJSONObject: [
        "branch": [
            "name": "Branche 123",
            "position": 7,
            "source_id": 12345,
            "url": "https://new_url.com/",
        ],
    ])
    let (data, _) = try await storyblok.data(for: request)
    print(try JSONSerialization.jsonObject(with: data))
    ```
    
-   Kotlin
    
    ```kotlin
    val client = HttpClient {
        install(Storyblok(MAPI)) {
            accessToken = OAuth("YOUR_OAUTH_TOKEN")
        }
    }
    
    val response = client.put("spaces/288868932106293/branches/14") {
        setBody(buildJsonObject {
            putJsonObject("branch") {
                put("name", "Branche 123")
                put("position", 7)
                put("source_id", 12345)
                put("url", "https://new_url.com/")
            }
        })
    }
    
    println(response.body<JsonElement>())
    ```

## Pagination

-   [Previous: The Branch Object](/docs/api/management/pipelines/the-branch-object)
-   [Next: Presets](/docs/api/management/presets)
